@font-face {
	font-family: 'FreeMono';
	src: url('./fonts/freemono-webfont.ttf')  format('truetype'), /* Safari, Android, iOS */
	url('./fonts/freemono-webfont.woff') format('woff'), /* Pretty Modern Browsers */
	url('./fonts/freemono-webfont.woff2') format('woff2'); /* Super Modern Browsers */
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'FreeMono';
	src: url('./fonts/freemonobold-webfont.ttf')  format('truetype'), /* Safari, Android, iOS */
	url('./fonts/freemonobold-webfont.woff')  format('woff'), /* Pretty Modern Browsers */
	url('./fonts/freemonobold-webfont.woff2')  format('woff2'); /* Super Modern Browser */
	font-weight: bold;
	font-style: bold;
}

@font-face {
	font-family: 'FreeMono';
	src: url('./fonts/freemonoboldoblique-webfont.ttf')  format('truetype'), /* Safari, Android, iOS */
	url('./fonts/freemonoboldoblique-webfont.woff')  format('woff'), /* Pretty Modern Browser */
	url('./fonts/freemonoboldoblique-webfont.woff2')  format('woff2'); /* Super Modern Browser */
	font-weight: bold;
	font-style: italic;
}

:root {
	--width_min: 41rem; /* 656px */
	--width_max: 60rem; /* 960px */
}

@media (prefers-color-scheme: dark) {
	:root {
		--color_background: black;
		--color_foreground: white;
		--color_background_main: #1f1f1f;
		--color_background_trans: #1f1f1f55;
		--color_background_border: #2f2f2f;
		--color_background_line: #3f3f3f;
		/*--color_heading_main: #ffd700;*/
		--color_heading_main: #cd9900;
		/*--color_heading_sub: #be289a;*/
		--color_heading_sub: #6d1254;
		--color_links: #50a403;
		--color_alert: #9d0006;
		--color_odd: #333;
		--color_even: #222;
		/*-webkit-text-stroke: 0.003rem white;*/
	}
}
@media (prefers-color-scheme: light) {
	:root {
		--color_background: white;
		--color_foreground: black;
		--color_background_main: #dadada;
		--color_background_trans: #dadada55;
		--color_background_border: #a2a2a2;
		--color_background_line: #a3a3a3;
		/*--color_heading_main: #c08200;*/
		--color_heading_main: #cd9900;
		--color_heading_sub: #6d1254;
		--color_links: #095401;
		--color_alert: #cc241d;
		--color_odd: #aaa;
		--color_even: #999;
		/*-webkit-text-stroke: 0.003rem black;*/
	}
	.invert {
		filter: invert(100%);
		-webkit-filter: invert(100%);
	}
}

* { box-sizing: border-box; } 
html {
	font-size: 100%;
	height: 100%;
	scroll-behavior: smooth;
}

div.logo { text-align: center; margin: auto; }
.logo img { width: 100%;  max-width: 41em; }

body {
	padding: 0px;
	margin: 0px;
	width: 100%;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	font-family: 'FreeMono', Courier, Monospace;
	color: var(--color_foreground);
	background-color: var(--color_background);
	background-image: radial-gradient(circle farthest-corner,
		var(--color_foreground), var(--color_background)50%);
	scrollbar-width: none;
}

.main {
	display: flex;
	flex-direction: row;
	margin-top: auto;
	margin-bottom: auto;
}
.main>main, .main>.banner {
	margin: auto;
	padding: 1.5rem; /* =24px; */
}
.main>main {
	/* flex: 0 1 var(--width_max); grow shrink basis */
	align-self: center;
	width: 100%;
	max-width: var(--width_max); /* =960px; */
	border: 1px solid var(--color_background_border);
	background-color: var(--color_background_main);
	padding: 1.5rem; /* =24px; */
}
.main>.banner.side>img {
	/* flex: 1 3 15rem; grow shrink basis */
	max-width: 15rem;
	width: 100%;
}
.banner.mid {
	margin: auto;
	margin-top: 2rem;
	margin-bottom: 2rem;
	text-align: center;
	/*visibility: hidden;*/
}
.banner.mid img { max-width: 100%; }
/* 
 * Definition for physical screen size
 * has to be in pixel.
 *
 */
@media (max-width: 960px) { 
	.banner.side { display: none; }
	/*.banner.mid { visibility: visible; }*/
	header { width: 100%; }
}
@media not (max-width: 960px) {
	header { width: var(--width_min); }
	.main>main { min-width: var(--width_max); }
}

header {
	box-sizing: border-box;
	margin: auto;
	text-align: center;
	transition: width 1s ease-in-out;
	/* this will put logo on the same line with nav
	 * display: flex;
	 */
}
header:hover { width: 100%; }

hr {
	width: 100%;
	border-width: 0px;
	border-top: 2px solid var(--color_background_line);
	box-shadow: 0rem 0.005rem 0.005rem 0.01rem black;
}

a {
	color: var(--color_links);
	text-decoration: none;
}
#news h2>a, #news h1>a,
main p>a, main li>a,
a:hover, footer:hover a {
	text-decoration-line: underline;
	text-decoration-color: var(--color_background_line);
	text-decoration-style: dashed;
	text-decoration-thickness: 0.05%;
}
a:hover {
	font-style: italic;
	text-decoration: underline solid 0.1rem;
}

.nav-container {
	background-color: var(--color_background_main);
	border: 1px solid var(--color_background_border);
	width: 100%;
}
nav {
	margin: auto;
	padding: 0.3125rem; /* =5px; */
}
nav a {
	display: inline-grid;
	padding: 0.5rem 0rem;
	font-size: 1.1rem;
	color: var(--color_foreground);
	border-radius: 0.3125rem; /* =5px; */
}
nav a.selected {
	font-weight: bold;
	color: var(--color_heading_sub);
	padding: 0.3125rem; /* =5px; */
	background-color: var(--color_heading_main);
	border-radius: 0.3125rem; /* =5px; */
}
nav a.selected-top, nav a.parent {
	font-weight: bold;
	color: var(--color_heading_main);
	padding: 0.3125rem; /* =5px; */
	background-color: var(--color_background);
	border-radius: 0.3125rem 0.3125rem 0.3125rem 0.3125rem /* =5px 5px 5px 5px; */
}

@keyframes FooterFade_out {
	000% { background-color: var(--color_background_trans); }
	100% { background-color: transparent; }
}
footer {
	width: 100%;
	color: var(--color_heading_main);
	background-color: transparent;
	box-shadow: none;
	transition: box-shadow 0.35s 0.5s ease-out;
	animation-name: FooterFade_out;
	animation-delay: 0;
	animation-duration: 1.5s;
	animation-iteration-count: 1;
	animation-direction: normal;
	animation-timing-function: ease-out;
}
@keyframes FooterFade_in {
	000% { background-color: transparent; }
	100% { background-color: var(--color_background_trans); }
}
footer:hover {
	font-weight: bold;
	background-color: var(--color_background_trans);
	box-shadow: 0px 0.1rem 0.8rem var(--color_foreground);
	animation-name: FooterFade_in;
	animation-delay: 0;
	animation-duration: 1.5s;
	animation-iteration-count: 1;
	animation-direction: normal;
	animation-timing-function: ease-out;
}
footer hr { opacity: 1; transition: opacity 0.5s ease-in-out; }
footer:hover hr { opacity: 0; }
@keyframes FooterImg_shrink {
	000% { height: 6rem; }
	100% { height: 4rem; }
}
footer img {
	margin: 0rem 1rem;
	transition: margin 1.5s ease-in-out;
	/* size SHRINK */
	height: 4rem;
	animation-name: FooterImg_shrink;
	animation-delay: 0;
	animation-duration: 0.5s;
	animation-iteration-count: 1;
	animation-direction: normal;
	animation-timing-function: linear;
}
@keyframes FooterImg_grow {
	000% { height: 4rem; }
	100% { height: 6rem; }
}
footer img:hover { 
	margin: 0rem 2.5rem;
	/* size GROW */
	height: 6rem;
	animation-name: FooterImg_grow;
	animation-delay: 0;
	animation-duration: 1s;
	animation-iteration-count: 1;
	animation-direction: normal;
	animation-timing-function: ease-out;
}
.footer-ring { /* individual widths are in html */ }
.footer-seperator { overflow: hidden; }

.nav-container, .footer-ring {
	margin: auto;
	padding: 0;
	overflow: scroll;
	text-align: center;
	white-space: nowrap;
	/*-ms-overflow-style: none; /* IE & Edge */
	/*scrollbar-width: thin; /* Firefox */
}
/*
.nav-container::-webkit-scrollbar, .footer-ring::-webkit-scrollbar {
	display: none; 
}
 */

#totop {
	color: var(--color_heading_sub);
	background-color: var(--color_links);
}

h1 {
	text-align: center;
	color: var(--color_heading_main);
	padding: 1rem; /* =16px; */
	margin: 0px;
	background-color: var(--color_heading_sub);
	border-bottom-left-radius: 1.25rem; /* =20px; */
	border-bottom-right-radius: 1.25rem; /* =20px; */
	box-shadow: 0rem 0.319rem 0.25rem 0.05rem black;
	scroll-margin-top: 1.75rem;
}
#news h1 {
	background-color: transparent;
	border: none;
	box-shadow: none;
	text-decoration: underline;
}

h1>a {
	color: var(--color_heading_main);
	/*background-color: var(--color_background);*/
}

h2 {
	text-align: center;
	color: var(--color_heading_main);
	scroll-margin-top: 1.75rem; /* =28px */
}
h2>a { color: var(--color_heading_main); }

h3 {
	text-align: center;
	color: var(--color_heading_main);
	padding: 0.625rem; /* =10px; */
}
h3>a       { 
	color: var(--color_heading_main);
	background-color: var(--color_background);
	padding: 0.4rem 0.85rem;
	border: 1px solid var(--color_links);
	box-shadow: 0rem 0.1rem 0.1rem 0.005rem;
	border-radius: 0.618rem;
}
h3>a:hover { color: var(--color_links); }

h4 {
	color: var(--color_heading_sub);
	text-align: center;
}

h5, dt {
	color: var(--color_heading_sub);
	font-size: 1.05rem; /* =16.8px; */
	font-weight: bold;
	text-align: left;
	scroll-margin-top: 1.75rem; /* =28px */
}

h6 {
	font-style: italic;
	color: var(--color_heading_sub);
	font-size: 0.875rem; /* =14px; */
	margin: 0px;
	text-align: right;
}

p {
	text-indent: 1.8125rem; /* =29px; */
	line-height: 1.60; /* NO UNITS: ratio to current font size. */
}

ol {
	margin-left: 1.8125rem; /* =29px; */
	line-height: 1.60; /* NO UNITS: ratio to current font size. */
}

ul {
	margin-left: 1.8125rem; /* =29px; */
	line-height: 1.60; /* NO UNITS: ratio to current font size. */
}

#warning {
	text-align: center; 
	color: var(--color_heading_sub);
	font-weight: bold;
}
#warning>p {
	/*color: var(--color_heading_main);*/
	color: var(--color_alert);
	font-weight: bold;
}

main img {
	max-width: 100%;
	max-height: auto;
	display: block;
	margin-left: auto;
	margin-right: auto;
	border: 1px solid #888;
	border-radius: 0.3125rem; /* =5px; */
	/*filter: blur(10px) opacity(20%);*/
}
main img:hover { filter: none; }

main video {max-width: 100%;}

figure {
	display: block;
	margin-left: auto;
	margin-right: auto;
	border-radius: 0.3125rem; /* =5px; */
}
figcaption {
	color: var(--color_heading_main);
	text-align: right;
}

table {
	border-radius: 0.25rem;
	background-color: var(--color_background);
	box-shadow: 0rem 0.1rem 0.4rem 0.05rem black;
}
table, th, td{
	width: 100%;
	padding: 0.4rem;
	border: 1px solid #888;
	border-collapse: collapse;
}
table {
	overflow: scroll;
	white-space: nowrap;
	table-layout: fixed;
	display: block;
	margin-left: auto;
	margin-right: auto;
}
th {
	color: var(--color_heading_main);
	background-color: var(--color_background);
	align-content: center;
}
td {
	color: var(--color_foreground);
	word-break: normal;
	/*white-space: pre;*/
}
.dd-hover {
	position: relative;
	display: inline-block;
}
.dd-content {
	display: none;
	opacity: 0;
}
.dd-hover:hover .dd-content {
	width: 100%;
	display: block;
	opacity: 1;
	overflow: wrap;
}
caption {
	align: bottom;
	text-align: right;
	font-size: 0.75rem; /* =12px */
	font-style: italic;
	color: var(--color_foreground);
	margin-top: 0.5rem;
}
caption>a { color: var(--color_alert); }

code {
	color: var(--color_heading_main);
	padding: 0.123rem; /* =1.968px */
	background-color: var(--color_background);
	border: 1px solid #888;
	font-family: 'FreeMono';
	font-weight: bold;
	border-radius: 0.3125rem; /* =5px; */
}
.codes {
	color: var(--color_heading_main);
	font-weight: bold;
	font-size: 1.25rem; /* =20px */
	line-height: 1.6;
	background-color: var(--color_background);
	overflow: scroll;
	white-space: nowrap;
	border: 1px solid #888;
	border-radius: 0.3125rem; /* =5px; */
}
#codes {
	color: var(--color_heading_main);
	font-weight: bold;
	font-size: 1.25rem; /* =20px */
	background-color: var(--color_background);
	overflow: scroll;
	white-space: nowrap;
	border: 1px solid #888;
	border-radius: 0.3125rem; /* =5px; */
}
.codes code { border: 0px solid #888; }


blockquote {
	background-color: var(--color_background);
	color: var(--color_heading_main);
	border-radius: 1rem;
	overflow: scroll;
}

.quote {
	color: var(--color_alert);
	width: 100%;
	overflow: scroll;
	border: 1px solid #888;
	border-radius: 0.3125rem; /* =5px; */
}

button {
	font-family: 'FreeMono';
	font-weight: bold;
	background-color: var(--color_background);
	color: var(--color_heading_main);
	border-radius: 0.8rem;
	box-shadow: 0rem 0.01rem 0.01rem 0.08rem var(--color_heading_sub);
}
button:active, button:hover {
	color: var(--color_links);
}

/* 
 * Server's index and tables
 */
.indexhead{ background-color:black; }
#indexlist { margin: auto; }
.even {
	color: white;
	background-color: var(--color_even);
}
.odd {
	color: white;
	background-color: var(--color_odd);
}

/*
 * Web Console Chat
 */
iframe#webcc {
	width: 100%;
	/*min-height: 360px;*/
	height: 70vh;
	border: 1px solid;
	border-radius: 0.3125rem;
	loading: lazy;
}

/* 
 * News feed 
 */
div.news-container {
	overflow: hidden;
	width: 90%;
	padding: 0;
	margin: auto;
	text-align: center;
}
iframe#news {
	border: none;
	width: 100%;
	min-height: 100px;
	height: 35rem;
	padding: 0;
	margin: 0;
	loading: lazy;
}
div#news { /* atom.xsl */
	background-color: var(--color_background_main);
}

/*
 * XMPP status
 */
img#xmpp-status{
	border: none;
	filter: none;
}

/*
 * SearXNG search bar
 */
#search {
	width: 100%;
	text-align: center;
}
input[type=search] {
	/* motion */
	width: 10rem;
	-webkit-transition: width 0.4s ease-in-out;
	transition: width 0.2s ease-in-out;
	/* color */
	-webkit-appearance: none;
	border-radius: 1rem; /* =5px; */
	color: var(--color_background);
	background-color: var(--color_foreground);
	font-family: 'FreeMono';
	font-weight: bold;
	font-size: 1rem;
}
input[type=search]:focus {
	width: 34rem;
	font-size: 1.125rem; /* =18px */
}

/*
 * Invert img
 */
@keyframes invertImg {
	000% {filter: invert(0%); -webkit-filter: invert(0%); }
	050% {filter: invert(50%); -webkit-filter: invert(50%); }
	100% {filter: invert(100%); -webkit-filter: invert(100%); }
}
img.invert {
	filter: invert(0%);
	-webkit-filter: invert(0%);
	animation-name: invertImg;
	animation-delay: 1s;
	animation-duration: 3s;
	animation-iteration-count: infinite;
	animation-direction: alternate;
}

/*
 * Backlights
 */
.nav-container, main, .menu {
	box-shadow: 0px 0.1rem 0.8rem var(--color_foreground);
}

